Loading...
Searching...
No Matches
AVVulkanDeviceQueueFamily Struct Reference

`#include <libavutil/hwcontext_vulkan.h>`

## Data Fields

int | idx
int | num
VkQueueFlagBits | flags
VkVideoCodecOperationFlagBitsKHR | video_caps

## Detailed Description

Definition at line 33 of file hwcontext_vulkan.h.

## Field Documentation

## idx

int AVVulkanDeviceQueueFamily::idx

Definition at line 35 of file hwcontext_vulkan.h.

## num

int AVVulkanDeviceQueueFamily::num

Definition at line 37 of file hwcontext_vulkan.h.

## flags

VkQueueFlagBits AVVulkanDeviceQueueFamily::flags

Definition at line 41 of file hwcontext_vulkan.h.

## video_caps

VkVideoCodecOperationFlagBitsKHR AVVulkanDeviceQueueFamily::video_caps

Definition at line 44 of file hwcontext_vulkan.h.

The documentation for this struct was generated from the following file:

- libavutil/hwcontext_vulkan.h